import request from '@/utils/request'

// 初始化合同号
export function initContract() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同_查询_cjn'
    }
  })
}
// 初始化采购员
export function initBuyer() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '人事档案管理_人员_部门与人员_查询数据_根据部门编号',
      param: '考核部门编号=5'
    }
  })
}
// 采购合同查询
export function searchTable1(pageCurrent, pageSize, check1, start, end, check2, contract, check3, name, check4, supplier, check5, approval) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_合同_查询数据',
      param: '时间段_check=' + check1 + '&开始时间=' + start + '=datetime&结束时间=' + end + '=datetime&采购合同流水号_check=' + check2 + '&采购合同流水号=' + contract + '&人员编号_check=' + check3 + '&人员编号=' + name + '&供应商名称_check=' + check4 + '&供应商名称=' + supplier + '&审批情况流水号_check=' + check5 + '&审批情况流水号=' + approval,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 采购合同明细查询
export function searchTable2(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同_查询数据_外购件',
      param: '采购合同流水号=' + num
    }
  })
}
// 采购合同明细查询
export function searchTable3(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同_查询数据_基本件',
      param: '采购合同流水号=' + num
    }
  })
}
export function Disable(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_采购合同_禁用',
      param: '采购合同流水号=' + num
    }
  })
}
